# QTextLayout Class Reference

### [com.trolltech.qt.gui package]

### Constructor

- void QTextLayout()
- void QTextLayout(String text)
- void QTextLayout(String text, QFont font, QPaintDevice paintdevice)
- void QTextLayout(QTextBlock b)

### Constructor Properties

- prototype: The QTextLayout prototype object
- SkipCharacters
- SkipWords
- CursorMode( value )

### Prototype Object Properties

- List additionalFormats()
- void beginLayout()
- QRectF boundingRect()
- bool cacheEnabled()
- void clearAdditionalFormats()
- void clearLayout()
- QTextLine createLine()
- void draw(QPainter p, QPointF pos, List selections, QRectF clip)
- void drawCursor(QPainter p, QPointF pos, int cursorPosition)
- void endLayout()
- QFont font()
- bool isValidCursorPosition(int pos)
- int leftCursorPosition(int oldPos)
- QTextLine lineAt(int i)
- int lineCount()
- QTextLine lineForTextPosition(int pos)
- qreal maximumWidth()
- qreal minimumWidth()
- int nextCursorPosition(int oldPos, CursorMode mode)
- QPointF position()
- int preeditAreaPosition()
- String preeditAreaText()
- int previousCursorPosition(int oldPos, CursorMode mode)
- int rightCursorPosition(int oldPos)
- void setAdditionalFormats(List overrides)
- void setCacheEnabled(bool enable)
- void setFlags(int flags)
- void setFont(QFont f)
- void setPosition(QPointF p)
- void setPreeditArea(int position, String text)
- void setText(String string)
- void setTextOption(QTextOption option)
- String text()
- QTextOption textOption()

### Instance Properties

QTextLayout objects have no special properties beyond those inherited from the QTextLayout prototype object.